Status: Resolved Start date: 05 October 2011
Priority: High Due date:
Assignee: Marek Frič % Done: 100%
Category: RealVoiceLab-Matlab Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

v rdp mode vraci stejny cas pro cele prenesene okno od koncoveho uzivatela, nie pre lokalne analyzovane okno

navrh riesenia:
zobrat cele prenesene okno a rozsegmentovat ho umolo - pridat nasledne cas pre vnutorne segmenty analyzy

History
#1 - 04 November 2011 15:46 - Tomáš Kulhánek
- % Done changed from 0 to 10

Nerozumim.

Ktera funkce teda vraci stejny cas pro cele okno? Jaky by mela vracet cas? Z ceho se to da poznat? Obrazek.
Nyni se data prenaseji kontinualne, v zavislosti jak casto se z Matlabu RealVoicLab zepta na data, dostane po sobe jdouci samply.
Pokud data proudi rychleji nez RealVoiceLab staci cist, pak nejstarsi samply se zahazuji z bufferu. 
Potom se stane ze po prvnich 4 prectenych samplech rdp plugin zahodi nejstarsi samply a pak RealVoiceLab precte o neco novejsi samply.

#2 - 01 October 2012 16:50 - Tomáš Kulhánek
Do modulu RDPWavChannel bylo opraveno
    1. positionOfLastRead() nyní vrací pozici, která byla zaznamenaná při poslední operaci čtení samplu+byl opraven výpočet pozice samplu v celkové
nahrávce
    2. StartResume() vynuluje pozice které se vrací při volání positionOfLastRead() a howManySamplesRecorded()
    3. GetLastNSamples() zjistí kdy bylo provedeno předchozí volání getLastNSamples() a se stejným zpožděním zkusí přečíst hodnotu v bufferu FIFO,
tj. vyhladí se pravidelnost čtení samplů v příchozím streamu

v RealVoiceLab_v23HACE bylo opraveno 

                   samplesCount = rdpPositionOfLastRead(); //pozice kde je poslední read operace
                    samplesReceived = rdpHowManySamples(); //kolik samplů bylo už přeneseno
...
                    if samplesReceived > 0 ...

#3 - 01 October 2012 16:50 - Tomáš Kulhánek
- % Done changed from 10 to 90

#4 - 22 November 2012 14:34 - Tomáš Kulhánek
- Status changed from New to Resolved
- % Done changed from 90 to 100
